Bug 1222710 - Editor option save fails due to ClassCastException
Editor option save fails due to ClassCastException
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.7
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-18 17:54 EDT by David Mason
Modified: 2015-07-21 22:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3600)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 22:19:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stack trace on server when a user tries to save editor options. (15.48 KB, text/plain)
2015-05-18 17:54 EDT, David Mason
no flags Details

  None (edit)
Description David Mason 2015-05-18 17:54:43 EDT
Created attachment 1026885 [details]
Stack trace on server when a user tries to save editor options.

Description of problem:
When save button is clicked in editor options panel, a warning message is shown with "Could not save user options". The stack trace on the server shows a ClassCastException trying to cast from

    org.hibernate.action.internal.EntityIdentityInsertAction
    org.hibernate.action.internal.EntityInsertAction


Version-Release number of selected component (if applicable):


How reproducible:
Easy, always

Steps to Reproduce:
1. Sign in and open the editor for any document
2. Expand the user options panel
3. Click "Save" at the bottom of the user options panel

Actual results:
Message shows "Could not save user options"


Expected results:
User options save successfully and can be restored by clicking "Load"

Additional info:
Stack trace from the server is attached.
Comment 1 Alex Eng 2015-05-18 18:55:57 EDT
PR: https://github.com/zanata/zanata-server/pull/821
Comment 2 Damian Jansen 2015-05-20 00:59:17 EDT
Verified at cac387508126917ba1af248332369679fc462d45

Note You need to log in before you can comment on or make changes to this bug.